Bug 1533583 - Include puppet-designate in RHOSP
Summary: Include puppet-designate in RHOSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-designate
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Ben Nemec
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 16:44 UTC by Ben Nemec
Modified: 2018-06-27 13:42 UTC (History)
4 users (show)

Fixed In Version: puppet-designate-12.2.0-0.20180119080706.0a523b5.el7ost puppet-dns-5.1.1-0.20171217205043.f842e80.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:41:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 11607 None rpm-master: NEW puppet/puppet-designate-distgit: Add OSP guard on puppet-powerdns (I9bee42a6edacfdd58a0fc969b36a4005a0764470) 2018-01-26 18:44:58 UTC
RDO 11608 None rpm-master: NEW puppet/puppet-tripleo-distgit: Move puppet-designate out of OSP guard (Ie7ae26c8086cf08cd9b64a6e89e2c935c9ccb582) 2018-01-26 18:44:45 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:42:00 UTC

Description Ben Nemec 2018-01-11 16:44:23 UTC
Description of problem: We are shipping Designate packages as tech preview in OSP 13, but currently puppet-designate is not available in OSP.  If we're shipping the software we should ship the available deployment tooling as well.

Comment 1 Jon Schlueter 2018-01-11 17:01:22 UTC
puppet-designate has been in RDO For many cycles now.

Comment 8 Ben Nemec 2018-01-26 18:00:14 UTC
We realized that puppet-dns is a dependency of puppet-designate.  It will also need to be included for puppet-designate to be installable.  We'll be guarding puppet-powerdns as we don't intend to use that in OSP at this time.

Comment 10 Jon Schlueter 2018-01-26 18:36:09 UTC
moving back to post as reviews and processes in place for puppet-dns

Comment 13 errata-xmlrpc 2018-06-27 13:41:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.